Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357525 - Empty lines in Konsole window can not refresh underlined text properly.
Summary: Empty lines in Konsole window can not refresh underlined text properly.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole5
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 12:38 UTC by Jan Houska
Modified: 2017-08-08 15:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:40:21 UTC


Attachments (Terms of Use)
Konsole widndow start (deleted)
2016-07-18 12:38 UTC, Jan Houska
no flags Details

Description Jan Houska 2016-07-18 12:38:22 UTC
Created attachment 1181044 [details]
Konsole widndow start

Description of problem:

Empty lines in Konsole window can not refresh underlined text properly.  

The underline lines remain on screen in a place of empty lines after quit of the man pages if listing forward was done.  The text is cleaned but underline line don’t if on this line position is empty line after the manual page quit. The underscore relics preserve change of the window position but change of the window size refresh content properly. 


Version-Release number of selected component (if applicable):

Qt: 5.6.0
KDE Frameworks: 5.23.0
Konsole: 16.04.2


How reproducible:
always


Steps to Reproduce:
1.a. open the Konsole window  
or 
1.b. clear the Konsole window  (run clear command)
2. open the man page  (e.g. man man or man python etc. commands)
3. forward help page until underline appear in the text  (by "j", "arrow" or "SPACE")
4. quit the man pages (by "q")


Actual results:
Underlines are still on the place. The underlined texts above underline lines are missing. 


Expected results:
The Konsole screen window is fully filled on the underlined texts position by the background colour. No remaining lines on the empty place/lines.


Additional info:
* I am using "User defined colour schemes"  with "green on black background" but I reproduced this bug for all user defined schemes.

* Screen-shots of the bug are available.

Comment 1 Fedora End Of Life 2017-07-25 21:51:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 15:40:21 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.